[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TStoredValue.Clear

Clears the content in the Value property.

## Declaration

Source position: propertystorage.pas line 52

`public procedure TStoredValue.Clear;`

## Description

Clear is a method used to remove the existing content in the Value property. The type used for the Value property is dependent on the storevariant compiler define. When defined, the Unassigned variant constant from the RTL is stored in the Value property. Otherwise, an empty string ('') is stored in the property.